# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
# 
# Packaged by: <saigkill@opensuse.org>
# Version: 0.5.3
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# # norootforbuild

Name: 	        skrooge	
Version:        0.7.3.5
Release:        0.1
License:        GPLv3
BuildRequires:  libkde4-devel >= 4.2 libqt4-devel >= 4.5.0 cmake fdupes libQtWebKit-devel
BuildRequires:	qt-devel kdesdk4-scripts libqca2-devel doxygen gettext
BuildRequires:	sqlite-devel libofx-devel update-desktop-files kdelibs4
BuildRequires:	desktop-file-utils
Requires:	licenses libqt4-sql-sqlite
#Requires:	%{name}-libs = %{version}-%{release}
Requires:	%{name}-lang = %{version}-%{release}
%kde4_runtime_requires
Obsoletes:	kde4-skrooge
Obsoletes:	%{name} < %{version}-%{release}
Provides:	%{name} = %{version}-%{release}
Source:         %{name}-%{version}.tar.bz2
Source100:	%{name}-rpmlintrc
Group:          Productivity/Office/Finance
Summary:        "skrooge is a personal finance management tool"
Url:            http://extragear.kde.org/apps/skrooge
AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%debug_package
%lang_package

%description
Skrooge is a personal finance management tool for KDE4, with
the aim of being highly intuitive, while providing powerful
functions such as graphics, persistent Undo/Redo, infinite
category levels, and much more...

#%package libs
#Summary:	Shared library for Skrooge
#Group:		System/Libraries
#Requires:	%{name} = %{version}-%{release}
#%kde4_runtime_requires
#Requires:	libofx
#Provides:	%{name}-libs = %{version}-%{release}
#Obsoletes:	%{name}-libs < %{version}-%{release}
#Obsoletes:	libskgbankgui1
#Obsoletes:	libskgbankmodeler1
#Obsoletes:	libskgbasegui1
#Obsoletes:	libskgbasemodeler1

#%description libs
#Skrooge is a personal finance management tool for KDE4, with
#the aim of being highly intuitive, while providing powerful
#functions such as graphics, persistent Undo/Redo, infinite
#category levels, and much more...

%package devel
Summary:	Development Files for Skrooge
Requires:	%{name} = %{version}-%{release}
Group:		Development/Languages/C and C++
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < %{version}-%{release}

%description devel
Skrooge is a personal finance management tool for KDE4, with
the aim of being highly intuitive, while providing powerful
functions such as graphics, persistent Undo/Redo, infinite
category levels, and much more...

%prep
%setup -q -n %{name}-%{version}

%build
export CFLAGS="%{optflags}" 
export OBJCFLAGS="%{optflags}"
%cmake_kde4
%make_jobs

%install
#%#__chmod +x po/listFiles.sh
%makeinstall %{?jobs:-j%{jobs}}

# make dirs for links
mkdir -p %{buildroot}%{_datadir}/doc/kde/HTML/uk/common
mkdir -p %{buildroot}%{_datadir}/doc/kde/HTML/sv/common
mkdir -p %{buildroot}%{_datadir}/doc/kde/HTML/pt/common
mkdir -p %{buildroot}%{_datadir}/doc/kde/HTML/pt_BR/common
mkdir -p %{buildroot}%{_datadir}/doc/kde/HTML/en/common
mkdir -p %{buildroot}%{_datadir}/doc/kde/HTML/es/common

# install pics
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 %{name}/ox128-apps-%{name}.png \
	%{buildroot}%{_datadir}/pixmaps/%{name}.png

# fixes errors in brp-symlink
for i in {16,22,32,48,64,128}; do   
   mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/"$i"x"$i"/apps  
done 

#installs the *.desktop File 
%suse_update_desktop_file %{name} Finance

# after build & install cleaning
%kde_post_install

# softlink for COPYING
ln -sf %{_datadir}/doc/licenses/md5/$(md5sum COPYING | %__sed 's/ .*//') COPYING

# Macro for finding lang-files
%find_lang %{name}

# Find duplicates
%fdupes -s %{buildroot}

desktop-file-validate %{buildroot}%{_datadir}/applications/kde4/%{name}.desktop
desktop-file-validate %{buildroot}%{_datadir}/kde4/servicetypes/skg-plugin.desktop

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%post
%run_ldconfig

%postun
%run_ldconfig

#%post libs
#%run_ldconfig

#%postun libs 
#%run_ldconfig

%files
%defattr(-, root, root)
%{_bindir}/%{name}
%{_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/mime/packages/x-skg.xml
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/kde4/services/%{name}*.desktop
%{_datadir}/kde4/services/skg-*.desktop
%{_datadir}/kde4/servicetypes/skg-plugin.desktop
%dir %{_datadir}/kde4/apps/skg
%{_datadir}/kde4/apps/skg/*
%dir %{_datadir}/kde4/apps/skg_advice
%{_datadir}/kde4/apps/skg_advice/*
%dir %{_datadir}/kde4/apps/skg_bookmark
%{_datadir}/kde4/apps/skg_bookmark/*
%dir %{_datadir}/kde4/apps/skg_dashboard
%{_datadir}/kde4/apps/skg_dashboard/*
%dir %{_datadir}/kde4/apps/skg_debug
%{_datadir}/kde4/apps/skg_debug/*
%dir %{_datadir}/kde4/apps/skg_delete
%{_datadir}/kde4/apps/skg_delete/*
%dir %{_datadir}/kde4/apps/skg_file
%{_datadir}/kde4/apps/skg_file/*
%dir %{_datadir}/kde4/apps/skg_print
%{_datadir}/kde4/apps/skg_print/*
%dir %{_datadir}/kde4/apps/skg_properties
%{_datadir}/kde4/apps/skg_properties/*
%dir %{_datadir}/kde4/apps/skg_selectall
%{_datadir}/kde4/apps/skg_selectall/*
%dir %{_datadir}/kde4/apps/skg_undoredo
%{_datadir}/kde4/apps/skg_undoredo/*
%dir %{_datadir}/kde4/apps/%{name}
%{_datadir}/kde4/apps/%{name}/*
%dir %{_datadir}/kde4/apps/%{name}_calculator
%{_datadir}/kde4/apps/%{name}_calculator/*
%dir %{_datadir}/kde4/apps/%{name}_categories
%{_datadir}/kde4/apps/%{name}_categories/*
%dir %{_datadir}/kde4/apps/%{name}_importexport
%{_datadir}/kde4/apps/%{name}_importexport/*
%dir %{_datadir}/kde4/apps/%{name}_monthly
%{_datadir}/kde4/apps/%{name}_monthly/*
%dir %{_datadir}/kde4/apps/%{name}_operation
%{_datadir}/kde4/apps/%{name}_operation/*
%dir %{_datadir}/kde4/apps/%{name}_payee
%{_datadir}/kde4/apps/%{name}_payee/*
%dir %{_datadir}/kde4/apps/%{name}_report
%{_datadir}/kde4/apps/%{name}_report/*
%dir %{_datadir}/kde4/apps/%{name}_scheduled
%{_datadir}/kde4/apps/%{name}_scheduled/*
%dir %{_datadir}/kde4/apps/%{name}_bank
%{_datadir}/kde4/apps/skrooge_bank/%{name}_bank.rc
%dir %{_datadir}/kde4/apps/%{name}_search
%{_datadir}/kde4/apps/%{name}_search/%{name}_search.rc
%dir %{_datadir}/kde4/apps/%{name}_tracker
%{_datadir}/kde4/apps/%{name}_tracker/%{name}_tracker.rc
%dir %{_datadir}/kde4/apps/%{name}_unit
%{_datadir}/kde4/apps/%{name}_unit/*
%{_datadir}/icons/*/*/actions/*.png
%{_datadir}/icons/*/*/actions/*.svgz
%{_datadir}/icons/*/*/apps/*.png
%{_datadir}/icons/*/*/apps/*.svgz
%{_datadir}/icons/*/*/mimetypes/*.png
%{_datadir}/icons/oxygen/scalable/mimetypes/application-x-skg.svgz
%{_datadir}/icons/oxygen/scalable/mimetypes/application-x-skgc.svgz
%dir %{_datadir}/kde4/config.kcfg/   
%{_datadir}/kde4/config.kcfg/*.kcfg
%doc AUTHORS CHANGELOG COPYING README TODO
#
#%files libs
%{_libdir}/libskgbankgui.so.*
%{_libdir}/libskgbankmodeler.so.*
%{_libdir}/libskgbasegui.so.*
%{_libdir}/libskgbasemodeler.so.*
%dir %{_libdir}/kde4
%dir %{_libdir}/kde4/plugins
%dir %{_libdir}/kde4/plugins/designer
%{_libdir}/kde4/plugins/designer/libskgbankgui.so.*
%{_libdir}/kde4/plugins/designer/libskgbankgui.so
%{_libdir}/kde4/plugins/designer/libskgbasegui.so.*
%{_libdir}/kde4/plugins/designer/libskgbasegui.so
%{_libdir}/kde4/%{name}_*.so
%{_libdir}/kde4/skg_*.so

%files devel
%defattr(-, root, root)
%{_libdir}/libskgbankgui.so
%{_libdir}/libskgbankmodeler.so
%{_libdir}/libskgbasegui.so
%{_libdir}/libskgbasemodeler.so

%files lang -f %{name}.lang
%defattr(-, root, root)


%changelog
* Sat Nov 13 2010 joe_morris@ntm.org
- Updated to 0.7.3.5
* Thu Sep 30 2010 joe_morris@ntm.org
- Updated to 0.7.3.2
* Wed Sep 15 2010 joe_morris@ntm.org
- Updated to 0.7.3
* Mon Jul 26 2010 joe_morris@ntm.org
- Updated to 0.7.2
* Fri Jul 16 2010 joe_morris@ntm.org
- Updated to 0.7.1
- Changes, now requires KDE > 4.4.0
* Thu Apr 29 2010 joe_morris@ntm.org
- Updated to 0.7.0
* Sat Feb 6 2010 joe_morris@ntm.org
- Updated to version 0.6.0
* Sat Dec 19 2009 joe_morris@ntm.org
- Updated to version 0.5.5
* Fri Oct 23 2009 joe_morris@ntm.org
- updated to 0.5.3
* Fri Oct 9 2009 joe_morris@ntm.org
- updated to 0.5.2
- Changes
  * New Alarm Feature
  * Correction bug 208130: 'Import CSV Unit' menu puts data into the 'Operations' tab
  * Correction bug 208210: Multiple clause research/update in french
  * Correction bug 208194: Skrooge may loose all data on file migration
  * Correction bug 208040: Error when entering shares information
  * Correction bug 208459: Skrooge crashes when changing tab
  * Correction bug 209317: key scrolling very long
  * Better performances in many areas
  * New field to edit dates with more features
  * Default categories and bookmarks for portuguese, thanks to Caio de Campos Ferreira ;o)
  * Correction on monthly report for a better display with dark themes
  * Automatic detection of CSV separator during import
* Wed Oct 7 2009 joe_morris@ntm.org
- updated to 0.5.1
- corrected files error for libs package
* Mon Aug 31 2009 saigkill@opensuse.org
- updated to version 0.5.0
- Changes can shown in ChangeLog
* Fri Jul 31 2009 saigkill@opensuse.org
- added make clean
* Mon Jun  1 2009 saigkill@opensuse.org
- update to Version 0.2.9
- Changes
  + Correction bug 2787146: Single click on bookmarks
  + Correction bug 191972: Selection is not well kept
  + Correction bug 191975: Add Labels for X values in histograms and stack reports
  + Correction bug 191968: Information string on top of page is too long (no word wrap)
  + Correction bug 192687: fonts too large on report
  + Correction bug 192832: Do not take amount sign into account for transfers
  + Correction bug 191967: Skrooge must be able to display an history global and for each account.
  + Correction bug 193423: context list scrolls down only after 8 mouse molette rotation
  + Correction bug 193431: "recurrent operation" trigger can not be set on D day
  + Correction bug 193421: bugs to be registered via bug database (not email)
  + Correction bug 194650: Fast edit must work on Tracker attribute
  + Correction bug 194765: Number of operations by account must be displayed in bank plugin
  + Addition of bank icon on account combo boxes
  + Addition of Canadian dollar
  + Addition of one more view (based on selection) in operation plugin
  + Better managment of dependency between units
  + New settings on unit download
  + Skrooge tries to find the most adapted account during import file without account information inside
  + Update of nls part of data model when language is changed
  + "Open report" on an element of a report open a new report with exactly same settings than first one
  + Addition of "scheduled operations" in dashboard plugin
  + New operation editor
  + Better management of messages in status bar
  + New editor in unit plugin
  + Middle click is able to open new page from context or bookmarks
* Sun May 10 2009 saigkill@opensuse.org
- split into 4 libskg* Packages
- created devel Packages
- created lang Packages
- fixed rpmlintrc
* Mon May  4 2009 saigkill@opensuse.org
- update to version 0.2.8
- removed the Removing from  /nogo
* Mon Apr 27 2009 saigkill@opensuse.org
- added files to %%%%files
* Mon Apr 27 2009 saigkill@opensuse.org
- update to Version 0.2.7
* Sat Apr 18 2009 saigkill@opensuse.org
- added %%%%kde4_requires
* Mon Mar 30 2009 saigkill@opensuse.org
- updated to Version 0.2.6
- deleted own Desktop File and use the original
* Sat Mar 14 2009 saigkill@opensuse.org
- added rpmlintrc
* Tue Mar  3 2009 saigkill@opensuse.org
- updated to Version 0.2.4
- tweaked the libs to own Packages
* Sat Feb 28 2009 saigkill@opensuse.org
- updated to Version 0.2.3
* Mon Feb 23 2009 saigkill@opensuse.org
- fixed two RPMLint Warnings
* Fri Feb 13 2009 saigkill@opensuse.org
- update to Version 0.2.2
* Tue Feb  3 2009 saigkill@opensuse.org
- included Desktop File
- using %%%%suse_update_desktop_file
* Mon Feb  2 2009 saigkill@opensuse.org
- updated to Version 0.2.1
- used %%%%cmake_kde4
* Wed Jan 21 2009 saigkill@opensuse.org
- Upgraded to version 0.2.0
* Tue Jan 13 2009 saigkill@opensuse.org
- Removed %%%%cmake_kde4. It can't compiled with it.
* Fri Jan  9 2009 pth@suse.de
- Use cmake_kde4 macro for calling cmake
- Require %%%%kde4_runtime_requires to conform to openSUSE KDE packaging.
- Fix file list
- Use find_lang
* Fri Jan  9 2009 saigkill@opensuse.org
- updated to version 0.1.9
- inserted Makros from packman
* Wed Dec 31 2008 saigkill@opensuse.org
- renamed Packet to kde4-skrooge
* Mon Nov  3 2008 saigkill@opensuse.org
- initial Version 0.1.0 using the buildservice
